[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: soname change policy proposal



Ville Skyttä wrote:


> - Should compat-foo<major> = $ver-$rel have "Provides: foo = $ver-$rel"?

AFAIK, won't work, because of rpm's (relatively new) "feature" of
automatically doing equivalent of
Obsoletes: foo < %{version}-%{release}
on any install/upgrade of foo, which will result in removing compat-foo.

-- Rex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]